local addon = BuyCrap
local opts = {
	item = function(arg)
		local item, quantity = string.match(arg, "^.-(%d+).-(%d+)$")
		if item and quantity then
			quantity = tonumber(quantity)
			addon.items[tonumber(item)] = (quantity > 0) and quantity or nil
		end
		DEFAULT_CHAT_FRAME:AddMessage("BuyCrap buys:")
		for k,v in pairs(addon.items) do
			DEFAULT_CHAT_FRAME:AddMessage(" "..(select(2, GetItemInfo(k))).."x"..v)
		end
	end,
	overfill = function()
		addon.options.overfill = not addon.options.overfill
		addon:PrintF("Overfilling is %s.", addon.options.overfill and "on" or "off")
	end,
	announce = function()
		addon.options.announce = not addon.options.announce
		addon:PrintF("Announcing is %s.", addon.options.announce and "on" or "off")
	end,
}
SLASH_BUYCRAP1 = "/buycrap"
SLASH_BUYCRAP2 = "/buy"
SlashCmdList["BUYCRAP"] = function(arg)
	local option, argument = string.match(arg, "(%a+)%s*(.*)")
	if option and opts[option] then
		opts[option](arg)
	else
		addon:Print("Buys items from vendors, so you don't have to")
		DEFAULT_CHAT_FRAME:AddMessage(" /buycrap /buy")
		DEFAULT_CHAT_FRAME:AddMessage("  |cffff9933item <[link/id]> <quantity>|r")
		DEFAULT_CHAT_FRAME:AddMessage("  |cffff9933overfill|r: Buy extra to get the amount required if the item is sold in stacks ("..(addon.options.overfill and "on" or "off")..")")
		DEFAULT_CHAT_FRAME:AddMessage("  |cffff9933announce|r: Say something in chat when buying crap ("..(addon.options.announce and "on" or "off")..")")
	end
end
